## ros-noetic-aruco-opencv-msgs 0.2.0

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.0.2)
project(aruco_opencv_msgs)

find_package(catkin REQUIRED COMPONENTS
  geometry_msgs
  message_generation
  std_msgs
)

add_message_files(
  DIRECTORY msg
  FILES
    MarkerDetection.msg
    MarkerPose.msg
)

generate_messages(
  DEPENDENCIES
    geometry_msgs
    std_msgs
)

catkin_package(
  CATKIN_DEPENDS
    geometry_msgs
    message_runtime
    std_msgs
)

=== debian/changelog ===
ros-noetic-aruco-opencv-msgs (0.2.0-1buster) buster; urgency=high

  * Move message definitions to aruco_opencv_msgs package (#2 <https://github.com/fictionlab/aruco_opencv/issues/2>)
  * Contributors: Błażej Sowa

 -- Fictionlab <support@fictionlab.pl>  Wed, 07 Sep 2022 00:00:00 -0000

ros-noetic-aruco-opencv-msgs (0.1.0-1buster) buster; urgency=high



 -- Fictionlab <support@fictionlab.pl>  Thu, 07 Jul 2022 00:00:00 -0000

## ros-noetic-aruco-opencv-msgs 0.3.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -10,7 +10,8 @@
 add_message_files(
   DIRECTORY msg
   FILES
-    MarkerDetection.msg
+    ArucoDetection.msg
+    BoardPose.msg
     MarkerPose.msg
 )

=== debian/changelog ===
ros-noetic-aruco-opencv-msgs (0.3.1-1focal) focal; urgency=high



 -- Fictionlab <support@fictionlab.pl>  Wed, 22 Feb 2023 00:00:00 -0000

ros-noetic-aruco-opencv-msgs (0.3.0-1focal) focal; urgency=high

  * Add Board detection (#6 <https://github.com/fictionlab/aruco_opencv/issues/6>)
    * Add BoardPose msg, change MarkerDetection to ArucoDetection
  * Contributors: Błażej Sowa

 -- Fictionlab <support@fictionlab.pl>  Wed, 22 Feb 2023 00:00:00 -0000

ros-noetic-aruco-opencv-msgs (0.2.0-1focal) focal; urgency=high

  * Move message definitions to aruco_opencv_msgs package (#2 <https://github.com/fictionlab/aruco_opencv/issues/2>)
  * Contributors: Błażej Sowa

 -- Fictionlab <support@fictionlab.pl>  Wed, 07 Sep 2022 00:00:00 -0000

ros-noetic-aruco-opencv-msgs (0.1.0-1focal) focal; urgency=high



 -- Fictionlab <support@fictionlab.pl>  Thu, 07 Jul 2022 00:00:00 -0000

=== debian/control ===
Source: ros-noetic-aruco-opencv-msgs
Section: misc
Priority: optional
Maintainer: Fictionlab <support@fictionlab.pl>
Build-Depends: debhelper (>= 9.0.0), ros-noetic-catkin, ros-noetic-geometry-msgs, ros-noetic-message-generation, ros-noetic-std-msgs
Homepage: 
Standards-Version: 3.9.2

Package: ros-noetic-aruco-opencv-msgs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-noetic-geometry-msgs, ros-noetic-message-runtime, ros-noetic-std-msgs
Description: Message definitions for aruco_opencv package.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/noetic/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG
ifneq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
	BUILD_TESTING_ARG=-DBUILD_TESTING=OFF -DCATKIN_ENABLE_TESTING=OFF
endif

DEB_HOST_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)

%:
	dh $@ -v --buildsystem=cmake --builddirectory=.obj-$(DEB_HOST_GNU_TYPE)

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/noetic" \
		-DCMAKE_PREFIX_PATH="/opt/ros/noetic" \
		$(BUILD_TESTING_ARG)

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-noetic-aruco-opencv-msgs//opt/ros/noetic/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_install
